﻿////mr-bundler-ignore
var MrModify = function () {}
function MrStartUI() {
    MrMUISecoundryColor = '#000000';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "30vw";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
    Mrnoggt = false;
    MrCID = 335;
    MrAudCid = 85;
    MrArabicUIisOn = true;
    MrArabicFlag = "uae";

    MrGotoArabicVersion = function () {

        if (!MrArabicUIisOn) {

            
            //MrMUIApplyTranslate("ar");
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {

        if (MrArabicUIisOn) {

            
             MrMUIApplyTranslate("en");
            MrUPChangeToolLAngToEN();
        }
    };
    MrModify();
    MRUAPPrepareUI(["MrControl_Page_contrast","MrCursor_Helpers","MrChangefont","MrPage_saturation_control","MrWords_Spacing","MrRealWords_Spacing","MrLine_Spacing","MrEnlarge_Fonts","MrHighlight_Links","MrAnimation","MrText_Alignments","MrPage_Structure","MrHideImgs","MrText2Speech"],["MrVisuallyImpaired","Mrdyslexia","MrADHD","MrSeizureAndEpilepsy","MrColor_Blind","Mrcognitive_education","MrImpaired_mobility"]);

    var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" : "Assist using site" ;

    var MrIconToAdd =
        '<div id="MrAccessInHand" title="' +
        MrIconMessage +
        '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
        MrIconMessage +
        '"></div>';
    MrUAPAddStyle(
        "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 130px; left: 5px; background-color: " +
        MrMUISecoundryColor +
        "; border-radius: 5px;width:50px;height:50px;text-align:center } #MrAccessInHand img{filter:" +
        MrUtilHexToFilter(MrMUIWhite) +
        ";margin-top:5px;width:40px}",
        "MrbuttonCSS"
    );
    MrUAPAddStyle('.MrMUIHeaderDiv{width:98% !important;}.MrMUI-tab-container {  padding: unset !important; padding-top: 1vh !important;}#MrMUIFooter{    width: 93% !important;}','MrUIDeaderDivResolver');
    jQuery("body").append(MrIconToAdd);
  
    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
        
        MrMUIGetGoogleTranslationValues(2);
        if (MrArabicUIisOn) {
            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
    });
    MrUAPPrepareMrOrgColor();
    MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
    setTimeout(function () {
        MrStartUI();
    }, 500);
});